| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLNetAccessor Class Reference

`#include <XMLNetAccessor.hpp>`

List of all members.

## Public Methods

virtual | ~XMLNetAccessor ()
virtual const XMLCh* | getId ()const=0
virtual BinInputStream* | makeNew (const XMLURL &urlSrc)=0

## Protected Methods

| XMLNetAccessor ()

## Constructor & Destructor Documentation

XMLNetAccessor::~XMLNetAccessor ( | )`[virtual]`

XMLNetAccessor::XMLNetAccessor ( | )`[protected]`

## Member Function Documentation

virtual const XMLCh* XMLNetAccessor::getId ( | ) const`[pure virtual]`

virtual BinInputStream* XMLNetAccessor::makeNew ( | const XMLURL & urlSrc )`[pure virtual]`

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.